diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index f1a64a2..a85da3d 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -7340,6 +7340,21 @@ will be displayed and, indeed, Axiom would still be running.
 \fnref{quit}, and
 \fnref{system}
 
+\subsection{defun pquit}
+<<defun pquit>>=
+(defun |pquit| () (|pquitSpad2Cmd|)) 
+
+@
+
+\subsection{defun pquitSpad2Cmd}
+<<defun pquitSpad2Cmd>>=
+(defun |pquitSpad2Cmd| ()
+ (let ((|$quitCommandType| '|protected|))
+  (declare (special |$quitCommandType|))
+  (|quitSpad2Cmd|)))
+
+@
+
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \cmdhead{quit}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
@@ -7391,6 +7406,31 @@ executed when you press, say, a function key.
 \fnref{pquit}, and
 \fnref{system}
 
+\subsection{defun quit}
+<<defun quit>>=
+(defun |quit| () (|quitSpad2Cmd|))
+
+@
+\subsection{defun quitSpad2Cmd}
+<<defun quitSpad2Cmd>>=
+(defun |quitSpad2Cmd| ()
+ (if (eq |$quitCommandType| '|protected|)
+  (let (x)
+   (setq x (upcase (|queryUserKeyedMsg| 's2iz0031 nil)))
+   (when (memq (string2id-n x 1) '(y yes)) (|leaveScratchpad|))
+   (|sayKeyedMsg| 's2iz0032 nil)
+   (tersyscommand))
+   (|leaveScratchpad|)))
+
+
+@
+
+\subsection{defun leaveScratchpad}
+<<defun leaveScratchpad>>=
+(defun |leaveScratchpad| () (bye)) 
+
+@
+
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \cmdhead{read}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
@@ -12776,6 +12816,8 @@ load the file \verb|exposed.lsp| to set up the exposure group information.
 <<defun isListOfIdentifiers>>
 <<defun isListOfIdentifiersOrStrings>>
 
+<<defun leaveScratchpad>>
+
 <<defun make-absolute-filename>>
 <<defun makeHistFileName>>
 <<defun makeInitialModemapFrame>>
@@ -12796,6 +12838,8 @@ load the file \verb|exposed.lsp| to set up the exposure group information.
 <<defun orderBySlotNumber>>
 
 <<defun pcounters>>
+<<defun pquit>>
+<<defun pquitSpad2Cmd>>
 <<defun previousInterpreterFrame>>
 <<defun prTraceNames>>
 <<defun prTraceNames,fn>>
@@ -12804,6 +12848,8 @@ load the file \verb|exposed.lsp| to set up the exposure group information.
 <<defun putHist>>
 
 <<defun queryClients>>
+<<defun quit>>
+<<defun quitSpad2Cmd>>
 
 <<defun rassocSub>>
 <<defun readHiFi>>
diff --git a/changelog b/changelog
index d83478a..9c57f29 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20090311 tpd src/axiom-website/patches.html 20090311.01.tpd.patch
+20090311 tpd books/bookvol5 move quit, pquit roots
+20090311 tpd src/interp/i-syscmd.boot move quit, pquit roots
 20090310 tpd src/axiom-website/patches.html 20090310.01.tpd.patch
 20090310 tpd src/interp/daase.lisp fix bug 7179 spurious )abbrev failure
 20090310 tpd books/bookvol10.4 add credits, summary to API package
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index ff6e7a9..ad4f219 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -999,5 +999,7 @@ bookvol5 add clear root<br/>
 bookvol5 add summary, copyright, help roots<br/>
 <a href="patches/20090310.01.tpd.patch">20090310.01.tpd.patch</a>
 bookvol10.4 add credits, summary to API package<br/>
+<a href="patches/20090311.01.tpd.patch">20090311.01.tpd.patch</a>
+bookvol5 add quit, pquit roots<br/>
  </body>
 </html>
diff --git a/src/interp/i-syscmd.boot.pamphlet b/src/interp/i-syscmd.boot.pamphlet
index 4597564..19de874 100644
--- a/src/interp/i-syscmd.boot.pamphlet
+++ b/src/interp/i-syscmd.boot.pamphlet
@@ -538,33 +538,6 @@ reportCount () ==
   SAY " "
   sayBrightly [:bright " stream",fillerSpaces(29,'".")," ",$streamCount]
 
---% )quit
-
-pquit() == pquitSpad2Cmd()
-
-pquitSpad2Cmd() ==
-  $saturn =>
-    sayErrorly('"Obsolete system command", _
-      ['" The )pquit system command is obsolete in this version of AXIOM.",
-       '" Please select Exit from the File Menu instead."])
-  $quitCommandType :local := 'protected
-  quitSpad2Cmd()
-
-quit() == quitSpad2Cmd()
-
-quitSpad2Cmd() ==
-  $saturn =>
-    sayErrorly('"Obsolete system command", _
-      ['" The )quit system command is obsolete in this version of AXIOM.",
-       '" Please select Exit from the File Menu instead."])
-  $quitCommandType ^= 'protected => leaveScratchpad()
-  x := UPCASE queryUserKeyedMsg("S2IZ0031",NIL)
-  MEMQ(STRING2ID_-N(x,1),'(Y YES)) => leaveScratchpad()
-  sayKeyedMsg("S2IZ0032",NIL)
-  TERSYSCOMMAND ()
-
-leaveScratchpad () == BYE()
-
 --% )read
 
 read l == readSpad2Cmd l
